Skip to content

Musement API (3.5.0)

For merchant or affiliate partners wishing to use the Musement API.

Authentication

See the Authentication section for details on how to authenticate with the API.

Release notes

2024-06-18

Endpoints

  • GET /activities/{activityUuid}/dates/{date}
    • Changed default min_buy value from -1 to 1

2024-02-21

Endpoints

  • Added GET /orders/{orderUuid}/refunds
    • Returns an array of paid refunds for an order

2024-02-20

Endpoints

  • GET /activities/{activityUuid}/dates/{date}
    • Added availability, max_buy and min_buy properties to timeslots. For more info, check out our guide
Download OpenAPI description
Overview
Languages
Servers
Mock server
https://partner-api.musement.com/_mock/reference/openapi
Sandbox server
https://sandbox.musement.com/api/v3
Production server
https://api.musement.com/api/v3

Searching activities

A collection of endpoints which can be used to search the catalog for relevant activities.

Operations

Activity info

A collection of endpoints which can be used to provide information to customers about a specific activity.

Operations

Pickups

Some activities require selecting a pickup location as part of the booking flow.

Operations

Dates

A collection of endpoints for selecting available dates and products.

Operations

Search dates in activity

Request

Depending on the activity configuration, this endpoint may return price info in addition to dates.

For activities with pickups, the pickup query parameter must be used.

Path
activityUuidstring(uuid)required

The UUID of the activity.

Query
date_fromstring(date)

Filter results to those which take place on or after the specified date.

When absent, today's date is used by default.

date_tostring(date)

Filter results to those which take place before the specified date.

When absent, a value of roughly one year from today's date is used. The exact default value varies depending on the activity configuration.

discounts[]Array of numbers(float)

Response will contain a retail_prices_with_custom_discount property which contains a preview of prices after the specified discounts are applied.

Up to two decimal places are permitted.

Example: discounts[]=10&discounts[]=15.5&discounts[]=22.05
pickupstring(uuid)(Pickup UUID)

Filter dates to those which are available for the specified pickup.

Required for activities whose order_box_elements property contains tours-and-activities-with-pickup.

tickets_numberinteger

Filter dates to those which have enough seats available for the specified quantity.

Used for activities with select seller gateways.

Headers
Accept-Languagestring(Language code)

The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available.

Default en-US
X-Musement-Applicationstring(Application value)

A partner's application value, used for analyzing API usage and to identify areas of improvement.

X-Musement-Currencystring(Currency code)

A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value.

Default USD
X-Musement-Marketstring(Musement market)

Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog.

An invalid X-Musement-Market value will return a 400 status code response.

Default us
X-Musement-Versionstring^[0-9]+?.[0-9]+?.[0-9]+?$

The API version to use for the request.

When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.

Example: 3.4.0
curl -i -X GET \
  'https://partner-api.musement.com/_mock/reference/openapi/activities/{activityUuid}/dates?date_from=2019-08-24&date_to=2019-08-24&discounts%5B%5D=10%2C15.5%2C22.05&pickup=497f6eca-6276-4993-bfeb-53cbbbba6f08&tickets_number=0' \
  -H 'Accept-Language: en-US' \
  -H 'X-Musement-Application: string' \
  -H 'X-Musement-Currency: USD' \
  -H 'X-Musement-Market: us' \
  -H 'X-Musement-Version: 3.4.0'

Responses

Dates for activity

Bodyapplication/jsonArray [
daystring(date)required

The date.

Example: "1985-11-05"
discount_amountobject(Price)

A discount to subtract from the the "base price" due to promotions or special events.

Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}
merchant_priceobject(Price)

The price for partners based on commercial agreements. Appears for authenticated requests.

Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}
original_retail_priceobject(Price)

The base price with a service fee, but no discount.

Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}
original_retail_price_without_service_feeobject(Price)

The base price with a discount, but no service fee.

Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}
retail_priceobject(Price)

The final price for customers.

Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}
retail_price_without_service_feeobject(Price)

The base price with a discount, but no service fee.

Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}
retail_prices_with_custom_discountArray of objects(Price)

A preview of the final price for customers when custom discounts are provided via the discounts[] query parameter.

Example: [{"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}]
service_feeobject(Price)

An extra fee to add to the base price to cover additional costs for creating a reservation.

Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}
sold_outbooleanrequired

When true, the date is no longer available and should not be shown to customers.

Example: false
]
Response
application/json
[ { "day": "1985-11-05", "discount_amount": {}, "merchant_price": {}, "original_retail_price": {}, "original_retail_price_without_service_fee": {}, "retail_price": {}, "retail_price_without_service_fee": {}, "retail_prices_with_custom_discount": [], "service_fee": {}, "sold_out": false } ]

Get schedule for date in activity

Request

Returns all options, times, holders, languages and products for the specified date. A product's type and ID, required for adding a product to cart, can be found in the response.

For activities with pickups, the pickup query parameter must be used.

A 422 status code response means the requested date is not available, either temporarily or permanently. Customers are encouraged to try a different date.

Path
activityUuidstring(uuid)required

The UUID of the activity.

datestring(date)required

The specified date.

Query
discounts[]Array of numbers(float)

Response will contain a retail_prices_with_custom_discount property which contains a preview of prices after the specified discounts are applied.

Up to two decimal places are permitted.

Example: discounts[]=10&discounts[]=15.5&discounts[]=22.05
pickupstring(uuid)(Pickup UUID)

Filter dates to those which are available for the specified pickup.

Required for activities whose order_box_elements property contains tours-and-activities-with-pickup.

tickets_numberinteger

Filter dates to those which have enough seats available for the specified quantity.

Used for activities with select seller gateways.

Headers
Accept-Languagestring(Language code)

The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available.

Default en-US
X-Musement-Applicationstring(Application value)

A partner's application value, used for analyzing API usage and to identify areas of improvement.

X-Musement-Currencystring(Currency code)

A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value.

Default USD
X-Musement-Marketstring(Musement market)

Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog.

An invalid X-Musement-Market value will return a 400 status code response.

Default us
X-Musement-Versionstring^[0-9]+?.[0-9]+?.[0-9]+?$

The API version to use for the request.

When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.

Example: 3.4.0
curl -i -X GET \
  'https://partner-api.musement.com/_mock/reference/openapi/activities/{activityUuid}/dates/{date}?discounts%5B%5D=10%2C15.5%2C22.05&pickup=497f6eca-6276-4993-bfeb-53cbbbba6f08&tickets_number=0' \
  -H 'Accept-Language: en-US' \
  -H 'X-Musement-Application: string' \
  -H 'X-Musement-Currency: USD' \
  -H 'X-Musement-Market: us' \
  -H 'X-Musement-Version: 3.4.0'

Responses

Schedule for date

Bodyapplication/jsonArray [
groupsArray of objects(ScheduleGroup)unique

A group of available options and timeslots for a schedule.

]
Response
application/json
[ { "groups": [] } ]

Carts

A collection of endpoints for managing a customer's cart during the booking flow.

Operations

Customer info

When making a reservation, different steps must be taken to provide information about the customers. This collection includes endpoints for submitting info about the lead booker, extra customer data and participant info.

Operations

Orders

A collection of endpoints for managing orders as part of the booking flow.

Operations

Payments

A collection of endpoints regarding payment during the booking flow. Partners have multiple payment options at their disposal, depending on agreements with the Strategic partnerships team.

Operations

Cancellations

It is possible to cancel reservations, provided that the activity in question is refundable.

Operations

Activities

Activities can be any tour, attraction or experience that customers can reserve via the Musement API.

Operations

Categories

Categories group activities based on similar characteristics.

Operations

Cities

Cities are different types of destinations: islands, natural landmarks, beaches, actual cities and more.

Operations

Countries

A collection of endpoints related to countries in the Musement catalog.

Operations

Lists

Lists are collections of Musement activities and third-party destinations grouped together based on editorial themes.

Operations

Venues

Venues are popular attractions or landmarks.

Operations

Additional searches

A collection of additional endpoints which can be used to search parts of the catalog.

Operations

Carts

A collection of cart endpoints which are not strictly necessary for the booking flow.

Operations

Metadata

Metadata is used for configuring several activity properties.

Operations

Reviews

Customers may leave reviews about their experience with an activity. Reviews consist of a numeric rating and optional written comment.

Operations

Vouchers

A collection of endpoints to use at the end of the booking flow to retrieve reserved tickets and vouchers.

Operations

Webhooks

A collection of webhook requests that Musement's API can make to a partner's service.

Webhooks

Activities

A collection of deprecated endpoints for activities.

Operations

Carts

A collection of deprecated endpoints for carts.

Operations

Cities

A collection of deprecated endpoints for cities.

Operations

Verticals

Verticals are a type of macro category which group various parts of the catalog together based on similar characteristics.

They are considered deprecated.

Operations

Cities

A collection of endpoints for cities that were removed from the API.

Operations

Countries

A collection of endpoints for countries that were removed from the API.

Operations

Events

A collection of endpoints for events, an older term for activities, that were removed from the API.

Operations

Misc

A collection of various endpoints that were removed from the API.

Operations

Venues

A collection of endpoints for venues that were removed from the API.

Operations